# libvorbis 1.3.7 — códec Vorbis + vorbisfile (C). Lo exige libcanberra (lector de sonidos .ogg). Autotools.
name    = "libvorbis"
version = "1.3.7"
[source]
tarball = "https://downloads.xiph.org/releases/vorbis/libvorbis-1.3.7.tar.xz"
sha256  = "b33cc4934322bcbf6efcbacf49e3ca01aadbea4114ec9589d1b1e9d20f72954b"
[build]
compiler = "zig-cc"
target   = "x86_64-linux-musl"
link     = "dynamic"
zig_version = "0.13.0"
[build.phases]
configure = './configure --build=$CBUILD --host=$CHOST --prefix=/usr --disable-static --enable-shared'
compile   = 'make -j"$(nproc)"'
install   = "make install DESTDIR=/out && find /out -name '*.la' -delete"
[deps]
build = ["pkgconf", "libogg"]
